!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang, S. Rode                    |            !
!        | `---' | UFO date: 06/2020                              |            !
!        |       | UFO version: 0.9                               |            !
!        |       | Generation date: 2020-08-02 21:15             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_1718) = coupl(nGC_1717)*dZgs_QCD2
    coupl(nGC_1720) = coupl(nGC_1719)*dZgs_QCD2
    coupl(nGC_1722) = coupl(nGC_1721)*dZg2_GC22
    coupl(nGC_1724) = coupl(nGC_1723)*dZg2_GC22
    coupl(nGC_1726) = coupl(nGC_1725)*dZg2_GC22
    coupl(nGC_1728) = coupl(nGC_1727)*dZg1_GC12
    coupl(nGC_1745) = coupl(nGC_1744)*dZg2_GC22
    coupl(nGC_1747) = coupl(nGC_1746)*dZg2_GC22
    coupl(nGC_1749) = coupl(nGC_1748)*dZg2_GC22
    coupl(nGC_1751) = coupl(nGC_1750)*dZg1_GC12
    coupl(nGC_1754) = coupl(nGC_1753)*dZg2_GC22
    coupl(nGC_2355) = 3d0*coupl(nGC_16)*dZg_QCD2/2d0 + coupl(nGC_1718)
    coupl(nGC_2360) = coupl(nGC_1720) + 2d0*coupl(nGC_18)*dZg_QCD2
    coupl(nGC_2361) = -2d0*coupl(nGC_2360)
    coupl(nGC_2364) = 2d0*coupl(nGC_2360)
    coupl(nGC_2365) = -coupl(nGC_2360)
    coupl(nGC_2376) = coupl(nGC_1722) + coupl(nGC_6)*dZW3_GC22/2d0 + coupl(    &
                      nGC_6)*dZWMinus_GC22
    coupl(nGC_2379) = coupl(nGC_15)*dZW3_GC22 + coupl(nGC_15)*dZWMinus_GC22 +  &
                      coupl(nGC_1724)
    coupl(nGC_2380) = -coupl(nGC_2379)/2d0
    coupl(nGC_2383) = 2d0*coupl(nGC_14)*dZWMinus_GC22 + coupl(nGC_1726)
    coupl(nGC_2384) = -2d0*coupl(nGC_2383)
    coupl(nGC_2388) = coupl(nGC_1728) + coupl(nGC_3)*dZB0_GC12 + coupl(nGC_3)* &
                      dZPhi1_GC12
    coupl(nGC_2387) = coupl(nGC_3)*dZPhi1_GC22
    coupl(nGC_2392) = coupl(nGC_1728) + coupl(nGC_3)*dZB0_GC12 + coupl(nGC_3)* &
                      dZPhi2_GC12
    coupl(nGC_2391) = coupl(nGC_3)*dZPhi2_GC22
    coupl(nGC_2395) = coupl(nGC_2)*dZPhi1_GC22
    coupl(nGC_2399) = coupl(nGC_2)*dZPhi2_GC22
    coupl(nGC_2408) = coupl(nGC_9)*(dZPhi1_GC12 + dZPhi2_GC12)/2d0
    coupl(nGC_2425) = coupl(nGC_4)*dZPhi1_GC12
    coupl(nGC_2430) = coupl(nGC_1745) + coupl(nGC_5)*dZPhi2_GC22 + coupl(nGC_5 &
                      )*dZW3_GC22/2d0
    coupl(nGC_2429) = coupl(nGC_5)*dZPhi2_GC12
    coupl(nGC_2434) = coupl(nGC_13)*dZPhi1_GC22 + coupl(nGC_13)*dZW3_GC22 +    &
                      coupl(nGC_1747)
    coupl(nGC_2432) = coupl(nGC_13)*dZPhi1_GC12
    coupl(nGC_2438) = coupl(nGC_13)*dZPhi2_GC22 + coupl(nGC_13)*dZW3_GC22 +    &
                      coupl(nGC_1747)
    coupl(nGC_2436) = coupl(nGC_13)*dZPhi2_GC12
    coupl(nGC_2446) = coupl(nGC_1749) + coupl(nGC_8)*dZPhi1_GC22/2d0 + coupl(  &
                      nGC_8)*dZPhi2_GC22/2d0 + coupl(nGC_8)*dZWMinus_GC22/2d0
    coupl(nGC_2444) = coupl(nGC_8)*(dZPhi1_GC12 + dZPhi2_GC12)/2d0
    coupl(nGC_2450) = coupl(nGC_13)*dZPhi1_GC22 + coupl(nGC_13)*dZWMinus_GC22  &
                       + coupl(nGC_1747)
    coupl(nGC_2454) = coupl(nGC_13)*dZPhi2_GC22 + coupl(nGC_13)*dZWMinus_GC22  &
                       + coupl(nGC_1747)
    coupl(nGC_2457) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_2460) = coupl(nGC_1)*dZdR_QCD2
    coupl(nGC_2463) = -2d0*coupl(nGC_2460)
    coupl(nGC_2456) = coupl(nGC_1)*dZdL_GC22
    coupl(nGC_2459) = coupl(nGC_1)*dZdR_GC22
    coupl(nGC_2464) = -2d0*coupl(nGC_2459)
    coupl(nGC_2455) = coupl(nGC_1)*dZdL_GC12
    coupl(nGC_2458) = coupl(nGC_1)*dZdR_GC12
    coupl(nGC_2465) = coupl(nGC_1)*dZB0_GC12/2d0 + coupl(nGC_1751)
    coupl(nGC_2466) = -2d0*coupl(nGC_2458) - 2d0*coupl(nGC_2465)
    coupl(nGC_2467) = coupl(nGC_2455) + coupl(nGC_2465)
    coupl(nGC_2468) = coupl(nGC_1)*dZsL_GC12
    coupl(nGC_2471) = coupl(nGC_1)*dZsR_GC12
    coupl(nGC_2476) = -2d0*coupl(nGC_2465) - 2d0*coupl(nGC_2471)
    coupl(nGC_2477) = coupl(nGC_2465) + coupl(nGC_2468)
    coupl(nGC_2470) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_2473) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_2478) = -2d0*coupl(nGC_2473)
    coupl(nGC_2469) = coupl(nGC_1)*dZsL_GC22
    coupl(nGC_2472) = coupl(nGC_1)*dZsR_GC22
    coupl(nGC_2479) = -2d0*coupl(nGC_2472)
    coupl(nGC_2481) = coupl(nGC_1)*dZbL_GC22
    coupl(nGC_2484) = coupl(nGC_1)*dZbR_GC22
    coupl(nGC_2488) = -2d0*coupl(nGC_2484)
    coupl(nGC_2482) = coupl(nGC_1)*dZbL_QCD2
    coupl(nGC_2485) = coupl(nGC_1)*dZbR_QCD2
    coupl(nGC_2489) = -2d0*coupl(nGC_2485)
    coupl(nGC_2480) = coupl(nGC_1)*dZbL_GC12
    coupl(nGC_2483) = coupl(nGC_1)*dZbR_GC12
    coupl(nGC_2490) = -2d0*coupl(nGC_2465) - 2d0*coupl(nGC_2483)
    coupl(nGC_2491) = coupl(nGC_2465) + coupl(nGC_2480)
    coupl(nGC_2493) = coupl(nGC_2)*dZeMinusL_GC22
    coupl(nGC_2492) = coupl(nGC_2)*dZeMinusL_GC12
    coupl(nGC_2494) = coupl(nGC_2)*dZeMinusR_GC12
    coupl(nGC_2500) = coupl(nGC_2)*dZmuMinusL_GC12
    coupl(nGC_2502) = coupl(nGC_2)*dZmuMinusR_GC12
    coupl(nGC_2501) = coupl(nGC_2)*dZmuMinusL_GC22
    coupl(nGC_2508) = coupl(nGC_2)*dZtauMinusL_GC22
    coupl(nGC_2507) = coupl(nGC_2)*dZtauMinusL_GC12
    coupl(nGC_2509) = coupl(nGC_2)*dZtauMinusR_GC12
    coupl(nGC_2514) = coupl(nGC_1)*dZuL_GC12
    coupl(nGC_2517) = coupl(nGC_1)*dZuR_GC12
    coupl(nGC_2522) = 4d0*coupl(nGC_2465) + 4d0*coupl(nGC_2517)
    coupl(nGC_2523) = coupl(nGC_2465) + coupl(nGC_2514)
    coupl(nGC_2516) = coupl(nGC_1)*dZuL_QCD2
    coupl(nGC_2519) = coupl(nGC_1)*dZuR_QCD2
    coupl(nGC_2524) = 4d0*coupl(nGC_2519)
    coupl(nGC_2515) = coupl(nGC_1)*dZuL_GC22
    coupl(nGC_2518) = coupl(nGC_1)*dZuR_GC22
    coupl(nGC_2525) = 4d0*coupl(nGC_2518)
    coupl(nGC_2527) = coupl(nGC_1)*dZcL_GC22
    coupl(nGC_2530) = coupl(nGC_1)*dZcR_GC22
    coupl(nGC_2534) = 4d0*coupl(nGC_2530)
    coupl(nGC_2526) = coupl(nGC_1)*dZcL_GC12
    coupl(nGC_2529) = coupl(nGC_1)*dZcR_GC12
    coupl(nGC_2535) = 4d0*coupl(nGC_2465) + 4d0*coupl(nGC_2529)
    coupl(nGC_2536) = coupl(nGC_2465) + coupl(nGC_2526)
    coupl(nGC_2528) = coupl(nGC_1)*dZcL_QCD2
    coupl(nGC_2531) = coupl(nGC_1)*dZcR_QCD2
    coupl(nGC_2537) = 4d0*coupl(nGC_2531)
    coupl(nGC_2538) = coupl(nGC_1)*dZtL_GC12
    coupl(nGC_2541) = coupl(nGC_1)*dZtR_GC12
    coupl(nGC_2546) = 4d0*coupl(nGC_2465) + 4d0*coupl(nGC_2541)
    coupl(nGC_2547) = coupl(nGC_2465) + coupl(nGC_2538)
    coupl(nGC_2540) = coupl(nGC_1)*dZtL_QCD2
    coupl(nGC_2543) = coupl(nGC_1)*dZtR_QCD2
    coupl(nGC_2548) = 4d0*coupl(nGC_2543)
    coupl(nGC_2539) = coupl(nGC_1)*dZtL_GC22
    coupl(nGC_2542) = coupl(nGC_1)*dZtR_GC22
    coupl(nGC_2549) = 4d0*coupl(nGC_2542)
    coupl(nGC_2552) = coupl(nGC_2)*dZnu_eL_GC22
    coupl(nGC_2556) = coupl(nGC_2)*dZnu_muL_GC22
    coupl(nGC_2560) = coupl(nGC_2)*dZnu_tauL_GC22
    coupl(nGC_2562) = coupl(nGC_17)*dZdL_GC12
    coupl(nGC_2565) = coupl(nGC_17)*dZdR_GC12
    coupl(nGC_2564) = coupl(nGC_17)*dZdL_QCD2
    coupl(nGC_2567) = coupl(nGC_17)*dZdR_QCD2
    coupl(nGC_2563) = coupl(nGC_17)*dZdL_GC22
    coupl(nGC_2566) = coupl(nGC_17)*dZdR_GC22
    coupl(nGC_2582) = coupl(nGC_17)*dZsL_GC22
    coupl(nGC_2585) = coupl(nGC_17)*dZsR_GC22
    coupl(nGC_2581) = coupl(nGC_17)*dZsL_GC12
    coupl(nGC_2584) = coupl(nGC_17)*dZsR_GC12
    coupl(nGC_2583) = coupl(nGC_17)*dZsL_QCD2
    coupl(nGC_2586) = coupl(nGC_17)*dZsR_QCD2
    coupl(nGC_2601) = coupl(nGC_17)*dZbL_QCD2
    coupl(nGC_2604) = coupl(nGC_17)*dZbR_QCD2
    coupl(nGC_2599) = coupl(nGC_17)*dZbL_GC12
    coupl(nGC_2602) = coupl(nGC_17)*dZbR_GC12
    coupl(nGC_2600) = coupl(nGC_17)*dZbL_GC22
    coupl(nGC_2603) = coupl(nGC_17)*dZbR_GC22
    coupl(nGC_2618) = coupl(nGC_17)*dZuL_GC22
    coupl(nGC_2621) = coupl(nGC_17)*dZuR_GC22
    coupl(nGC_2619) = coupl(nGC_17)*dZuL_QCD2
    coupl(nGC_2622) = coupl(nGC_17)*dZuR_QCD2
    coupl(nGC_2617) = coupl(nGC_17)*dZuL_GC12
    coupl(nGC_2620) = coupl(nGC_17)*dZuR_GC12
    coupl(nGC_2635) = coupl(nGC_17)*dZcL_GC12
    coupl(nGC_2638) = coupl(nGC_17)*dZcR_GC12
    coupl(nGC_2636) = coupl(nGC_17)*dZcL_GC22
    coupl(nGC_2639) = coupl(nGC_17)*dZcR_GC22
    coupl(nGC_2637) = coupl(nGC_17)*dZcL_QCD2
    coupl(nGC_2640) = coupl(nGC_17)*dZcR_QCD2
    coupl(nGC_2655) = coupl(nGC_17)*dZtL_QCD2
    coupl(nGC_2658) = coupl(nGC_17)*dZtR_QCD2
    coupl(nGC_2653) = coupl(nGC_17)*dZtL_GC12
    coupl(nGC_2656) = coupl(nGC_17)*dZtR_GC12
    coupl(nGC_2654) = coupl(nGC_17)*dZtL_GC22
    coupl(nGC_2657) = coupl(nGC_17)*dZtR_GC22
    coupl(nGC_2673) = coupl(nGC_9)*(dZdL_GC12 + dZuL_GC12)/2d0
    coupl(nGC_2674) = coupl(nGC_9)*(dZdL_QCD2 + dZuL_QCD2)/2d0
    coupl(nGC_2678) = coupl(nGC_9)*(dZcL_GC12 + dZsL_GC12)/2d0
    coupl(nGC_2679) = coupl(nGC_9)*(dZcL_QCD2 + dZsL_QCD2)/2d0
    coupl(nGC_2684) = coupl(nGC_9)*(dZbL_QCD2 + dZtL_QCD2)/2d0
    coupl(nGC_2683) = coupl(nGC_9)*(dZbL_GC12 + dZtL_GC12)/2d0
    coupl(nGC_2688) = coupl(nGC_9)*(dZeMinusL_GC12 + dZnu_eL_GC12)/2d0
    coupl(nGC_2692) = coupl(nGC_9)*(dZmuMinusL_GC12 + dZnu_muL_GC12)/2d0
    coupl(nGC_2696) = coupl(nGC_9)*(dZnu_tauL_GC12 + dZtauMinusL_GC12)/2d0
    coupl(nGC_2701) = coupl(nGC_4)*dZdL_QCD2
    coupl(nGC_2700) = coupl(nGC_4)*dZdL_GC12
    coupl(nGC_2705) = coupl(nGC_4)*dZsL_GC12
    coupl(nGC_2706) = coupl(nGC_4)*dZsL_QCD2
    coupl(nGC_2710) = coupl(nGC_4)*dZbL_GC12
    coupl(nGC_2711) = coupl(nGC_4)*dZbL_QCD2
    coupl(nGC_2715) = coupl(nGC_4)*dZeMinusL_GC12
    coupl(nGC_2719) = coupl(nGC_4)*dZmuMinusL_GC12
    coupl(nGC_2723) = coupl(nGC_4)*dZtauMinusL_GC12
    coupl(nGC_2729) = coupl(nGC_1745) + coupl(nGC_5)*dZW3_GC22/2d0 + coupl(    &
                      nGC_5)*dZuL_GC22
    coupl(nGC_2727) = coupl(nGC_5)*dZuL_GC12
    coupl(nGC_2728) = coupl(nGC_5)*dZuL_QCD2
    coupl(nGC_2734) = coupl(nGC_1745) + coupl(nGC_5)*dZW3_GC22/2d0 + coupl(    &
                      nGC_5)*dZcL_GC22
    coupl(nGC_2732) = coupl(nGC_5)*dZcL_GC12
    coupl(nGC_2733) = coupl(nGC_5)*dZcL_QCD2
    coupl(nGC_2739) = coupl(nGC_1745) + coupl(nGC_5)*dZW3_GC22/2d0 + coupl(    &
                      nGC_5)*dZtL_GC22
    coupl(nGC_2738) = coupl(nGC_5)*dZtL_QCD2
    coupl(nGC_2737) = coupl(nGC_5)*dZtL_GC12
    coupl(nGC_2743) = coupl(nGC_1745) + coupl(nGC_5)*dZW3_GC22/2d0 + coupl(    &
                      nGC_5)*dZnu_eL_GC22
    coupl(nGC_2742) = coupl(nGC_5)*dZnu_eL_GC12
    coupl(nGC_2747) = coupl(nGC_1745) + coupl(nGC_5)*dZW3_GC22/2d0 + coupl(    &
                      nGC_5)*dZnu_muL_GC22
    coupl(nGC_2746) = coupl(nGC_5)*dZnu_muL_GC12
    coupl(nGC_2751) = coupl(nGC_1745) + coupl(nGC_5)*dZW3_GC22/2d0 + coupl(    &
                      nGC_5)*dZnu_tauL_GC22
    coupl(nGC_2750) = coupl(nGC_5)*dZnu_tauL_GC12
    coupl(nGC_2775) = coupl(nGC_1722) + coupl(nGC_6)*dZWMinus_GC22/2d0
    coupl(nGC_2776) = -coupl(nGC_2775)
    coupl(nGC_2779) = coupl(nGC_1754) + coupl(nGC_7)*dZWMinus_GC22/2d0
    coupl(nGC_2780) = -coupl(nGC_2779)
    coupl(nGC_2785) = coupl(nGC_1754) + coupl(nGC_7)*dZW3_GC22/2d0
    coupl(nGC_2786) = -coupl(nGC_2785)
    coupl(nGC_2791) = coupl(nGC_1722) + coupl(nGC_6)*dZW3_GC22/2d0
    coupl(nGC_2792) = -coupl(nGC_2791)
    coupl(nGC_2795) = coupl(nGC_16)*dZg_QCD2/2d0 + coupl(nGC_1718)
    coupl(nGC_2796) = -coupl(nGC_2795)
    coupl(nGC_2799) = coupl(nGC_I)*dZPhi1_GC12
    coupl(nGC_2800) = coupl(nGC_I)*dZPhi1_GC22
    coupl(nGC_2801) = coupl(nGC_I)*dZPhi2_GC12
    coupl(nGC_2802) = coupl(nGC_I)*dZPhi2_GC22
    coupl(nGC_2803) = coupl(nGC_MI)*dZnu_eL_GC12
    coupl(nGC_2804) = coupl(nGC_MI)*dZnu_eL_GC22
    coupl(nGC_2805) = coupl(nGC_MI)*dZnu_muL_GC12
    coupl(nGC_2806) = coupl(nGC_MI)*dZnu_muL_GC22
    coupl(nGC_2808) = coupl(nGC_MI)*dZnu_tauL_GC22
    coupl(nGC_2807) = coupl(nGC_MI)*dZnu_tauL_GC12
    coupl(nGC_2810) = coupl(nGC_MI)*dZeMinusL_GC22
    coupl(nGC_2809) = coupl(nGC_MI)*dZeMinusL_GC12
    coupl(nGC_2811) = coupl(nGC_MI)*dZeMinusR_GC12
    coupl(nGC_2813) = coupl(nGC_MI)*dZmuMinusL_GC22
    coupl(nGC_2812) = coupl(nGC_MI)*dZmuMinusL_GC12
    coupl(nGC_2814) = coupl(nGC_MI)*dZmuMinusR_GC12
    coupl(nGC_2815) = coupl(nGC_MI)*dZtauMinusL_GC12
    coupl(nGC_2817) = coupl(nGC_MI)*dZtauMinusR_GC12
    coupl(nGC_2816) = coupl(nGC_MI)*dZtauMinusL_GC22
    coupl(nGC_2818) = coupl(nGC_MI)*dZuL_GC12
    coupl(nGC_2821) = coupl(nGC_MI)*dZuR_GC12
    coupl(nGC_2819) = coupl(nGC_MI)*dZuL_GC22
    coupl(nGC_2822) = coupl(nGC_MI)*dZuR_GC22
    coupl(nGC_2820) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_2823) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_2826) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_2829) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_2824) = coupl(nGC_MI)*dZcL_GC12
    coupl(nGC_2827) = coupl(nGC_MI)*dZcR_GC12
    coupl(nGC_2825) = coupl(nGC_MI)*dZcL_GC22
    coupl(nGC_2828) = coupl(nGC_MI)*dZcR_GC22
    coupl(nGC_2830) = coupl(nGC_MI)*dZtL_GC12
    coupl(nGC_2833) = coupl(nGC_MI)*dZtR_GC12
    coupl(nGC_2832) = coupl(nGC_MI)*dZtL_QCD2
    coupl(nGC_2835) = coupl(nGC_MI)*dZtR_QCD2
    coupl(nGC_2831) = coupl(nGC_MI)*dZtL_GC22
    coupl(nGC_2834) = coupl(nGC_MI)*dZtR_GC22
    coupl(nGC_2837) = coupl(nGC_MI)*dZdL_GC22
    coupl(nGC_2840) = coupl(nGC_MI)*dZdR_GC22
    coupl(nGC_2838) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_2841) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_2836) = coupl(nGC_MI)*dZdL_GC12
    coupl(nGC_2839) = coupl(nGC_MI)*dZdR_GC12
    coupl(nGC_2844) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_2847) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_2843) = coupl(nGC_MI)*dZsL_GC22
    coupl(nGC_2846) = coupl(nGC_MI)*dZsR_GC22
    coupl(nGC_2842) = coupl(nGC_MI)*dZsL_GC12
    coupl(nGC_2845) = coupl(nGC_MI)*dZsR_GC12
    coupl(nGC_2850) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_2853) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_2849) = coupl(nGC_MI)*dZbL_GC22
    coupl(nGC_2852) = coupl(nGC_MI)*dZbR_GC22
    coupl(nGC_2848) = coupl(nGC_MI)*dZbL_GC12
    coupl(nGC_2851) = coupl(nGC_MI)*dZbR_GC12
    coupl(nGC_2854) = coupl(nGC_MI)*dZB0_GC12
    coupl(nGC_2855) = -coupl(nGC_2854)
    coupl(nGC_2856) = coupl(nGC_MI)*dZWMinus_GC22
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
