!******************************************************************************!
!                                                                              !
!    ctparameter23.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter23.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang, S. Rode                    |            !
!        | `---' | UFO date: 06/2020                              |            !
!        |       | UFO version: 0.9                               |            !
!        |       | Generation date: 2020-08-02 21:15             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter23
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter23()
  dZuL_QCD2 = Ten0*coupl(nGC_17)**2d0*(Nc**2d0 - 1d0)/(32d0*pi**2d0*Nc)
  dZuL_QCD2 = cone*real(dZuL_QCD2,kind=dp)
end subroutine set_ctparameter23
end module ctparameter23
