!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang, S. Rode                    |            !
!        | `---' | UFO date: 06/2020                              |            !
!        |       | UFO version: 0.9                               |            !
!        |       | Generation date: 2020-08-02 21:15             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl1()
    coupl(nGC_16) = -gs
    coupl(nGC_1717) = -gs
    coupl(nGC_18) = cima*gs**2d0
    coupl(nGC_1719) = 2d0*cima*gs**2d0
    coupl(nGC_6) = -cima*g2
    coupl(nGC_1721) = -cima*g2
    coupl(nGC_15) = -2d0*cima*g2**2d0
    coupl(nGC_1723) = -4d0*cima*g2**2d0
    coupl(nGC_14) = -cima*g2**2d0
    coupl(nGC_1725) = -2d0*cima*g2**2d0
    coupl(nGC_3) = cima*g1**2d0/2d0
    coupl(nGC_1727) = cima*g1**2d0
    coupl(nGC_2) = cima*g1/2d0
    coupl(nGC_12) = -sqrt(2d0)*cima*g1*g2/2d0
    coupl(nGC_1730) = -sqrt(2d0)*cima*g1*g2/2d0
    coupl(nGC_1731) = -sqrt(2d0)*cima*g1*g2/2d0
    coupl(nGC_9) = sqrt(2d0)*cima*g2/2d0
    coupl(nGC_10) = -cima*g1*g2/2d0
    coupl(nGC_1735) = -cima*g1*g2/2d0
    coupl(nGC_1736) = -cima*g1*g2/2d0
    coupl(nGC_11) = cima*g1*g2/2d0
    coupl(nGC_1739) = cima*g1*g2/2d0
    coupl(nGC_1740) = cima*g1*g2/2d0
    coupl(nGC_4) = -cima*g2/2d0
    coupl(nGC_5) = cima*g2/2d0
    coupl(nGC_1744) = cima*g2/2d0
    coupl(nGC_13) = cima*g2**2d0/2d0
    coupl(nGC_1746) = cima*g2**2d0
    coupl(nGC_8) = -sqrt(2d0)*cima*g2/2d0
    coupl(nGC_1748) = -sqrt(2d0)*cima*g2/2d0
    coupl(nGC_1) = -cima*g1/6d0
    coupl(nGC_1750) = -cima*g1/6d0
    coupl(nGC_17) = cima*gs
    coupl(nGC_7) = cima*g2
    coupl(nGC_1753) = cima*g2
    coupl(nGC_I) = cima
    coupl(nGC_MI) = -cima
    coupl(nGC_47) = -2d0*coupl(nGC_18)
    coupl(nGC_51) = 2d0*coupl(nGC_18)
    coupl(nGC_53) = -coupl(nGC_18)
    coupl(nGC_67) = -coupl(nGC_15)/2d0
    coupl(nGC_71) = -2d0*coupl(nGC_14)
    coupl(nGC_107) = -2d0*coupl(nGC_1)
    coupl(nGC_115) = 2d0*coupl(nGC_2)
    coupl(nGC_123) = 4d0*coupl(nGC_1)
    coupl(nGC_209) = -coupl(nGC_6)
    coupl(nGC_213) = -coupl(nGC_7)
    coupl(nGC_225) = -coupl(nGC_16)
    coupl(nGC_319) = -coupl(nGC_2)
    coupl(nGC_385) = -coupl(nGC_9)
    coupl(nGC_489) = -coupl(nGC_4)
    coupl(nGC_501) = -coupl(nGC_5)
    coupl(nGC_603) = -coupl(nGC_8)
    coupl(nGC_21) = cima*g1/2d0
    coupl(nGC_29) = sqrt(2d0)*cima*g2/2d0
    coupl(nGC_33) = -cima*g2/2d0
    coupl(nGC_25) = cima*gs
  end subroutine fill_couplings_mdl1
end module fill_couplings1
