!******************************************************************************!
!                                                                              !
!    vertices_info3.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2020 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info3.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.-N. Lang, S. Rode                    |            !
!        | `---' | UFO date: 06/2020                              |            !
!        |       | UFO version: 0.9                               |            !
!        |       | Generation date: 2020-08-02 21:15             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info3
  implicit none
  contains
  subroutine fill_vertices_mdl3()
    use class_vertices
    use class_couplings
    allocate(vertices(604)%branchR2(0:2))
    call avR2(604, 0, 9, 5, 0, SSSS0, 0, [0, 4, 0], [nGC_1680])

    call avR2(604, 1, 9, 5, 0, SSSS0, 0, [0, 0, 4], [nGC_1681])

    call avR2(604, 2, 9, 5, 0, SSSS0, 0, [0, 2, 2], [nGC_1682])

    allocate(vertices(605)%branchR2(0:2))
    call avR2(605, 0, 9, 5, 0, SSSS0, 0, [0, 4, 0], [nGC_1680])

    call avR2(605, 1, 9, 5, 0, SSSS0, 0, [0, 0, 4], [nGC_1681])

    call avR2(605, 2, 9, 5, 0, SSSS0, 0, [0, 2, 2], [nGC_1682])

    allocate(vertices(606)%branchR2(0:2))
    call avR2(606, 0, 9, 5, 0, SSSS0, 0, [0, 4, 0], [nGC_1680])

    call avR2(606, 1, 9, 5, 0, SSSS0, 0, [0, 0, 4], [nGC_1681])

    call avR2(606, 2, 9, 5, 0, SSSS0, 0, [0, 2, 2], [nGC_1682])

    allocate(vertices(607)%branchR2(0:2))
    call avR2(607, 0, 9, 5, 0, SSSS0, 0, [0, 4, 0], [nGC_1680])

    call avR2(607, 1, 9, 5, 0, SSSS0, 0, [0, 0, 4], [nGC_1681])

    call avR2(607, 2, 9, 5, 0, SSSS0, 0, [0, 2, 2], [nGC_1682])

    allocate(vertices(608)%branchR2(0:2))
    call avR2(608, 0, 9, 5, 0, SSSS0, 0, [0, 4, 0], [nGC_1680])

    call avR2(608, 1, 9, 5, 0, SSSS0, 0, [0, 0, 4], [nGC_1681])

    call avR2(608, 2, 9, 5, 0, SSSS0, 0, [0, 2, 2], [nGC_1682])

    allocate(vertices(609)%branchR2(0:2))
    call avR2(609, 0, 9, 5, 0, SSSS0, 0, [0, 4, 0], [nGC_1680])

    call avR2(609, 1, 9, 5, 0, SSSS0, 0, [0, 0, 4], [nGC_1681])

    call avR2(609, 2, 9, 5, 0, SSSS0, 0, [0, 2, 2], [nGC_1682])

    allocate(vertices(610)%branchR2(0:2))
    call avR2(610, 0, 9, 5, 0, SSSS0, 0, [0, 4, 0], [nGC_1680])

    call avR2(610, 1, 9, 5, 0, SSSS0, 0, [0, 0, 4], [nGC_1681])

    call avR2(610, 2, 9, 5, 0, SSSS0, 0, [0, 2, 2], [nGC_1682])

    allocate(vertices(273)%branchR2(0:1))
    call avR2(273, 0, 9, 5, 0, SVVS0, 0, [0, 0, 4], [nGC_1683])

    call avR2(273, 1, 9, 5, 0, SVVS0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(274)%branchR2(0:1))
    call avR2(274, 0, 9, 5, 0, SVSV0, 0, [0, 0, 4], [nGC_1683])

    call avR2(274, 1, 9, 5, 0, SVSV0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(270)%branchR2(0:1))
    call avR2(270, 0, 9, 5, 0, SVVS0, 0, [0, 0, 4], [nGC_1683])

    call avR2(270, 1, 9, 5, 0, SVVS0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(269)%branchR2(0:1))
    call avR2(269, 0, 9, 5, 0, SVSV0, 0, [0, 0, 4], [nGC_1683])

    call avR2(269, 1, 9, 5, 0, SVSV0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(272)%branchR2(0:1))
    call avR2(272, 0, 9, 5, 0, SSVV0, 0, [0, 0, 4], [nGC_1683])

    call avR2(272, 1, 9, 5, 0, SSVV0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(271)%branchR2(0:1))
    call avR2(271, 0, 9, 5, 0, SSVV0, 0, [0, 0, 4], [nGC_1683])

    call avR2(271, 1, 9, 5, 0, SSVV0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(278)%branchR2(0:1))
    call avR2(278, 0, 9, 5, 0, VSVS0, 0, [0, 0, 4], [nGC_1683])

    call avR2(278, 1, 9, 5, 0, VSVS0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(279)%branchR2(0:1))
    call avR2(279, 0, 9, 5, 0, VSSV0, 0, [0, 0, 4], [nGC_1683])

    call avR2(279, 1, 9, 5, 0, VSSV0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(275)%branchR2(0:1))
    call avR2(275, 0, 9, 5, 0, VVSS0, 0, [0, 0, 4], [nGC_1683])

    call avR2(275, 1, 9, 5, 0, VVSS0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(19)%branchR2(0:1))
    call avR2(19, 0, 9, 5, 0, VVSS0, 0, [0, 0, 4], [nGC_1683])

    call avR2(19, 1, 9, 5, 0, VVSS0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(277)%branchR2(0:1))
    call avR2(277, 0, 9, 5, 0, VSSV0, 0, [0, 0, 4], [nGC_1683])

    call avR2(277, 1, 9, 5, 0, VSSV0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(276)%branchR2(0:1))
    call avR2(276, 0, 9, 5, 0, VSVS0, 0, [0, 0, 4], [nGC_1683])

    call avR2(276, 1, 9, 5, 0, VSVS0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(260)%branchR2(0:1))
    call avR2(260, 0, 9, 5, 0, VSVS0, 0, [0, 0, 4], [nGC_1683])

    call avR2(260, 1, 9, 5, 0, VSVS0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(259)%branchR2(0:1))
    call avR2(259, 0, 9, 5, 0, VSSV0, 0, [0, 0, 4], [nGC_1683])

    call avR2(259, 1, 9, 5, 0, VSSV0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(262)%branchR2(0:1))
    call avR2(262, 0, 9, 5, 0, VVSS0, 0, [0, 0, 4], [nGC_1683])

    call avR2(262, 1, 9, 5, 0, VVSS0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(261)%branchR2(0:1))
    call avR2(261, 0, 9, 5, 0, VVSS0, 0, [0, 0, 4], [nGC_1683])

    call avR2(261, 1, 9, 5, 0, VVSS0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(257)%branchR2(0:1))
    call avR2(257, 0, 9, 5, 0, VSSV0, 0, [0, 0, 4], [nGC_1683])

    call avR2(257, 1, 9, 5, 0, VSSV0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(258)%branchR2(0:1))
    call avR2(258, 0, 9, 5, 0, VSVS0, 0, [0, 0, 4], [nGC_1683])

    call avR2(258, 1, 9, 5, 0, VSVS0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(266)%branchR2(0:1))
    call avR2(266, 0, 9, 5, 0, SSVV0, 0, [0, 0, 4], [nGC_1683])

    call avR2(266, 1, 9, 5, 0, SSVV0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(265)%branchR2(0:1))
    call avR2(265, 0, 9, 5, 0, SSVV0, 0, [0, 0, 4], [nGC_1683])

    call avR2(265, 1, 9, 5, 0, SSVV0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(268)%branchR2(0:1))
    call avR2(268, 0, 9, 5, 0, SVSV0, 0, [0, 0, 4], [nGC_1683])

    call avR2(268, 1, 9, 5, 0, SVSV0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(267)%branchR2(0:1))
    call avR2(267, 0, 9, 5, 0, SVVS0, 0, [0, 0, 4], [nGC_1683])

    call avR2(267, 1, 9, 5, 0, SVVS0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(263)%branchR2(0:1))
    call avR2(263, 0, 9, 5, 0, SVSV0, 0, [0, 0, 4], [nGC_1683])

    call avR2(263, 1, 9, 5, 0, SVSV0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(264)%branchR2(0:1))
    call avR2(264, 0, 9, 5, 0, SVVS0, 0, [0, 0, 4], [nGC_1683])

    call avR2(264, 1, 9, 5, 0, SVVS0, 0, [0, 2, 2], [nGC_1684])

    allocate(vertices(212)%branchR2(0:1))
    call avR2(212, 0, 9, 5, 0, SVVS0, 0, [0, 2, 2], [nGC_1685])

    call avR2(212, 1, 9, 5, 0, SVVS0, 0, [0, 0, 4], [nGC_1686])

    allocate(vertices(211)%branchR2(0:1))
    call avR2(211, 0, 9, 5, 0, SVSV0, 0, [0, 2, 2], [nGC_1685])

    call avR2(211, 1, 9, 5, 0, SVSV0, 0, [0, 0, 4], [nGC_1686])

    allocate(vertices(210)%branchR2(0:1))
    call avR2(210, 0, 9, 5, 0, SSVV0, 0, [0, 2, 2], [nGC_1685])

    call avR2(210, 1, 9, 5, 0, SSVV0, 0, [0, 0, 4], [nGC_1686])

    allocate(vertices(216)%branchR2(0:1))
    call avR2(216, 0, 9, 5, 0, VSVS0, 0, [0, 2, 2], [nGC_1685])

    call avR2(216, 1, 9, 5, 0, VSVS0, 0, [0, 0, 4], [nGC_1686])

    allocate(vertices(215)%branchR2(0:1))
    call avR2(215, 0, 9, 5, 0, VSSV0, 0, [0, 2, 2], [nGC_1685])

    call avR2(215, 1, 9, 5, 0, VSSV0, 0, [0, 0, 4], [nGC_1686])

    allocate(vertices(217)%branchR2(0:1))
    call avR2(217, 0, 9, 5, 0, VVSS0, 0, [0, 2, 2], [nGC_1685])

    call avR2(217, 1, 9, 5, 0, VVSS0, 0, [0, 0, 4], [nGC_1686])

    allocate(vertices(15)%branchR2(0:1))
    call avR2(15, 0, 9, 5, 0, VVSS0, 0, [0, 2, 2], [nGC_1685])

    call avR2(15, 1, 9, 5, 0, VVSS0, 0, [0, 0, 4], [nGC_1686])

    allocate(vertices(213)%branchR2(0:1))
    call avR2(213, 0, 9, 5, 0, VSSV0, 0, [0, 2, 2], [nGC_1685])

    call avR2(213, 1, 9, 5, 0, VSSV0, 0, [0, 0, 4], [nGC_1686])

    allocate(vertices(214)%branchR2(0:1))
    call avR2(214, 0, 9, 5, 0, VSVS0, 0, [0, 2, 2], [nGC_1685])

    call avR2(214, 1, 9, 5, 0, VSVS0, 0, [0, 0, 4], [nGC_1686])

    allocate(vertices(207)%branchR2(0:1))
    call avR2(207, 0, 9, 5, 0, SSVV0, 0, [0, 2, 2], [nGC_1685])

    call avR2(207, 1, 9, 5, 0, SSVV0, 0, [0, 0, 4], [nGC_1686])

    allocate(vertices(208)%branchR2(0:1))
    call avR2(208, 0, 9, 5, 0, SVSV0, 0, [0, 2, 2], [nGC_1685])

    call avR2(208, 1, 9, 5, 0, SVSV0, 0, [0, 0, 4], [nGC_1686])

    allocate(vertices(209)%branchR2(0:1))
    call avR2(209, 0, 9, 5, 0, SVVS0, 0, [0, 2, 2], [nGC_1685])

    call avR2(209, 1, 9, 5, 0, SVVS0, 0, [0, 0, 4], [nGC_1686])

    allocate(vertices(611)%branchR2(0:2))
    call avR2(611, 0, 9, 5, 0, SSSS0, 0, [0, 4, 0], [nGC_1678])

    call avR2(611, 1, 9, 5, 0, SSSS0, 0, [0, 0, 4], [nGC_1687])

    call avR2(611, 2, 9, 5, 0, SSSS0, 0, [0, 2, 2], [nGC_1688])

    allocate(vertices(612)%branchR2(0:2))
    call avR2(612, 0, 9, 5, 0, SSSS0, 0, [0, 4, 0], [nGC_1678])

    call avR2(612, 1, 9, 5, 0, SSSS0, 0, [0, 0, 4], [nGC_1687])

    call avR2(612, 2, 9, 5, 0, SSSS0, 0, [0, 2, 2], [nGC_1688])

    allocate(vertices(613)%branchR2(0:2))
    call avR2(613, 0, 9, 5, 0, SSSS0, 0, [0, 4, 0], [nGC_1678])

    call avR2(613, 1, 9, 5, 0, SSSS0, 0, [0, 0, 4], [nGC_1687])

    call avR2(613, 2, 9, 5, 0, SSSS0, 0, [0, 2, 2], [nGC_1688])

    allocate(vertices(614)%branchR2(0:2))
    call avR2(614, 0, 9, 5, 0, SSSS0, 0, [0, 4, 0], [nGC_1678])

    call avR2(614, 1, 9, 5, 0, SSSS0, 0, [0, 0, 4], [nGC_1687])

    call avR2(614, 2, 9, 5, 0, SSSS0, 0, [0, 2, 2], [nGC_1688])

    allocate(vertices(615)%branchR2(0:2))
    call avR2(615, 0, 9, 5, 0, SSSS0, 0, [0, 4, 0], [nGC_1678])

    call avR2(615, 1, 9, 5, 0, SSSS0, 0, [0, 0, 4], [nGC_1687])

    call avR2(615, 2, 9, 5, 0, SSSS0, 0, [0, 2, 2], [nGC_1688])

    allocate(vertices(616)%branchR2(0:2))
    call avR2(616, 0, 9, 5, 0, SSSS0, 0, [0, 4, 0], [nGC_1678])

    call avR2(616, 1, 9, 5, 0, SSSS0, 0, [0, 0, 4], [nGC_1687])

    call avR2(616, 2, 9, 5, 0, SSSS0, 0, [0, 2, 2], [nGC_1688])

    allocate(vertices(617)%branchR2(0:0))
    call avR2(617, 0, 9, 5, 0, VVVV0, 0, [0, 2, 2], [nGC_1689, nGC_1689,       &
    nGC_1689])

    allocate(vertices(618)%branchR2(0:0))
    call avR2(618, 0, 9, 5, 0, VVVV0, 0, [0, 2, 2], [nGC_1689, nGC_1689,       &
    nGC_1689])

    allocate(vertices(619)%branchR2(0:0))
    call avR2(619, 0, 9, 5, 0, VVVV0, 0, [0, 2, 2], [nGC_1689, nGC_1689,       &
    nGC_1689])

    allocate(vertices(620)%branchR2(0:0))
    call avR2(620, 0, 9, 5, 0, VVVV0, 0, [0, 2, 2], [nGC_1689, nGC_1689,       &
    nGC_1689])

    allocate(vertices(621)%branchR2(0:0))
    call avR2(621, 0, 9, 5, 0, VVVV0, 0, [0, 2, 2], [nGC_1689, nGC_1689,       &
    nGC_1689])

    allocate(vertices(622)%branchR2(0:0))
    call avR2(622, 0, 9, 5, 0, VVVV0, 0, [0, 2, 2], [nGC_1689, nGC_1689,       &
    nGC_1689])

    allocate(vertices(623)%branchR2(0:0))
    call avR2(623, 0, 9, 5, 0, VVVV0, 0, [0, 2, 2], [nGC_1689, nGC_1689,       &
    nGC_1689])

    allocate(vertices(624)%branchR2(0:0))
    call avR2(624, 0, 9, 5, 0, VVVV0, 0, [0, 2, 2], [nGC_1689, nGC_1689,       &
    nGC_1689])

    allocate(vertices(625)%branchR2(0:0))
    call avR2(625, 0, 9, 5, 0, VVVV0, 0, [0, 2, 2], [nGC_1689, nGC_1689,       &
    nGC_1689])

    allocate(vertices(626)%branchR2(0:0))
    call avR2(626, 0, 9, 5, 0, VVVV0, 0, [0, 2, 2], [nGC_1689, nGC_1689,       &
    nGC_1689])

    allocate(vertices(627)%branchR2(0:0))
    call avR2(627, 0, 9, 5, 0, VVVV0, 0, [0, 2, 2], [nGC_1689, nGC_1689,       &
    nGC_1689])

    allocate(vertices(628)%branchR2(0:0))
    call avR2(628, 0, 9, 5, 0, VVVV0, 0, [0, 2, 2], [nGC_1689, nGC_1689,       &
    nGC_1689])

    allocate(vertices(295)%branchR2(0:1))
    call avR2(295, 0, 9, 5, 0, VSVS0, 0, [0, 2, 2], [nGC_1684])

    call avR2(295, 1, 9, 5, 0, VSVS0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(296)%branchR2(0:1))
    call avR2(296, 0, 9, 5, 0, VSSV0, 0, [0, 2, 2], [nGC_1684])

    call avR2(296, 1, 9, 5, 0, VSSV0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(20)%branchR2(0:1))
    call avR2(20, 0, 9, 5, 0, VVSS0, 0, [0, 2, 2], [nGC_1684])

    call avR2(20, 1, 9, 5, 0, VVSS0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(292)%branchR2(0:1))
    call avR2(292, 0, 9, 5, 0, VVSS0, 0, [0, 2, 2], [nGC_1684])

    call avR2(292, 1, 9, 5, 0, VVSS0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(294)%branchR2(0:1))
    call avR2(294, 0, 9, 5, 0, VSSV0, 0, [0, 2, 2], [nGC_1684])

    call avR2(294, 1, 9, 5, 0, VSSV0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(293)%branchR2(0:1))
    call avR2(293, 0, 9, 5, 0, VSVS0, 0, [0, 2, 2], [nGC_1684])

    call avR2(293, 1, 9, 5, 0, VSVS0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(301)%branchR2(0:1))
    call avR2(301, 0, 9, 5, 0, SVVS0, 0, [0, 2, 2], [nGC_1684])

    call avR2(301, 1, 9, 5, 0, SVVS0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(302)%branchR2(0:1))
    call avR2(302, 0, 9, 5, 0, SVSV0, 0, [0, 2, 2], [nGC_1684])

    call avR2(302, 1, 9, 5, 0, SVSV0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(298)%branchR2(0:1))
    call avR2(298, 0, 9, 5, 0, SVVS0, 0, [0, 2, 2], [nGC_1684])

    call avR2(298, 1, 9, 5, 0, SVVS0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(297)%branchR2(0:1))
    call avR2(297, 0, 9, 5, 0, SVSV0, 0, [0, 2, 2], [nGC_1684])

    call avR2(297, 1, 9, 5, 0, SVSV0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(300)%branchR2(0:1))
    call avR2(300, 0, 9, 5, 0, SSVV0, 0, [0, 2, 2], [nGC_1684])

    call avR2(300, 1, 9, 5, 0, SSVV0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(299)%branchR2(0:1))
    call avR2(299, 0, 9, 5, 0, SSVV0, 0, [0, 2, 2], [nGC_1684])

    call avR2(299, 1, 9, 5, 0, SSVV0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(283)%branchR2(0:1))
    call avR2(283, 0, 9, 5, 0, VVSS0, 0, [0, 2, 2], [nGC_1684])

    call avR2(283, 1, 9, 5, 0, VVSS0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(282)%branchR2(0:1))
    call avR2(282, 0, 9, 5, 0, VVSS0, 0, [0, 2, 2], [nGC_1684])

    call avR2(282, 1, 9, 5, 0, VVSS0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(285)%branchR2(0:1))
    call avR2(285, 0, 9, 5, 0, VSVS0, 0, [0, 2, 2], [nGC_1684])

    call avR2(285, 1, 9, 5, 0, VSVS0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(284)%branchR2(0:1))
    call avR2(284, 0, 9, 5, 0, VSSV0, 0, [0, 2, 2], [nGC_1684])

    call avR2(284, 1, 9, 5, 0, VSSV0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(280)%branchR2(0:1))
    call avR2(280, 0, 9, 5, 0, VSVS0, 0, [0, 2, 2], [nGC_1684])

    call avR2(280, 1, 9, 5, 0, VSVS0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(281)%branchR2(0:1))
    call avR2(281, 0, 9, 5, 0, VSSV0, 0, [0, 2, 2], [nGC_1684])

    call avR2(281, 1, 9, 5, 0, VSSV0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(289)%branchR2(0:1))
    call avR2(289, 0, 9, 5, 0, SVSV0, 0, [0, 2, 2], [nGC_1684])

    call avR2(289, 1, 9, 5, 0, SVSV0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(288)%branchR2(0:1))
    call avR2(288, 0, 9, 5, 0, SVVS0, 0, [0, 2, 2], [nGC_1684])

    call avR2(288, 1, 9, 5, 0, SVVS0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(291)%branchR2(0:1))
    call avR2(291, 0, 9, 5, 0, SSVV0, 0, [0, 2, 2], [nGC_1684])

    call avR2(291, 1, 9, 5, 0, SSVV0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(290)%branchR2(0:1))
    call avR2(290, 0, 9, 5, 0, SSVV0, 0, [0, 2, 2], [nGC_1684])

    call avR2(290, 1, 9, 5, 0, SSVV0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(286)%branchR2(0:1))
    call avR2(286, 0, 9, 5, 0, SVVS0, 0, [0, 2, 2], [nGC_1684])

    call avR2(286, 1, 9, 5, 0, SVVS0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(287)%branchR2(0:1))
    call avR2(287, 0, 9, 5, 0, SVSV0, 0, [0, 2, 2], [nGC_1684])

    call avR2(287, 1, 9, 5, 0, SVSV0, 0, [0, 0, 4], [nGC_1690])

    allocate(vertices(16)%branchR2(0:1))
    call avR2(16, 0, 9, 5, 0, VVSS0, 0, [0, 2, 2], [nGC_1691])

    call avR2(16, 1, 9, 5, 0, VVSS0, 0, [0, 0, 4], [nGC_1692])

    allocate(vertices(228)%branchR2(0:1))
    call avR2(228, 0, 9, 5, 0, VVSS0, 0, [0, 2, 2], [nGC_1691])

    call avR2(228, 1, 9, 5, 0, VVSS0, 0, [0, 0, 4], [nGC_1692])

    allocate(vertices(225)%branchR2(0:1))
    call avR2(225, 0, 9, 5, 0, VSVS0, 0, [0, 2, 2], [nGC_1691])

    call avR2(225, 1, 9, 5, 0, VSVS0, 0, [0, 0, 4], [nGC_1692])

    allocate(vertices(224)%branchR2(0:1))
    call avR2(224, 0, 9, 5, 0, VSSV0, 0, [0, 2, 2], [nGC_1691])

    call avR2(224, 1, 9, 5, 0, VSSV0, 0, [0, 0, 4], [nGC_1692])

    allocate(vertices(226)%branchR2(0:1))
    call avR2(226, 0, 9, 5, 0, VSSV0, 0, [0, 2, 2], [nGC_1691])

    call avR2(226, 1, 9, 5, 0, VSSV0, 0, [0, 0, 4], [nGC_1692])

    allocate(vertices(227)%branchR2(0:1))
    call avR2(227, 0, 9, 5, 0, VSVS0, 0, [0, 2, 2], [nGC_1691])

    call avR2(227, 1, 9, 5, 0, VSVS0, 0, [0, 0, 4], [nGC_1692])

    allocate(vertices(220)%branchR2(0:1))
    call avR2(220, 0, 9, 5, 0, SVVS0, 0, [0, 2, 2], [nGC_1691])

    call avR2(220, 1, 9, 5, 0, SVVS0, 0, [0, 0, 4], [nGC_1692])

    allocate(vertices(219)%branchR2(0:1))
    call avR2(219, 0, 9, 5, 0, SVSV0, 0, [0, 2, 2], [nGC_1691])

    call avR2(219, 1, 9, 5, 0, SVSV0, 0, [0, 0, 4], [nGC_1692])

    allocate(vertices(218)%branchR2(0:1))
    call avR2(218, 0, 9, 5, 0, SSVV0, 0, [0, 2, 2], [nGC_1691])

    call avR2(218, 1, 9, 5, 0, SSVV0, 0, [0, 0, 4], [nGC_1692])

    allocate(vertices(221)%branchR2(0:1))
    call avR2(221, 0, 9, 5, 0, SSVV0, 0, [0, 2, 2], [nGC_1691])

    call avR2(221, 1, 9, 5, 0, SSVV0, 0, [0, 0, 4], [nGC_1692])

    allocate(vertices(222)%branchR2(0:1))
    call avR2(222, 0, 9, 5, 0, SVSV0, 0, [0, 2, 2], [nGC_1691])

    call avR2(222, 1, 9, 5, 0, SVSV0, 0, [0, 0, 4], [nGC_1692])

    allocate(vertices(223)%branchR2(0:1))
    call avR2(223, 0, 9, 5, 0, SVVS0, 0, [0, 2, 2], [nGC_1691])

    call avR2(223, 1, 9, 5, 0, SVVS0, 0, [0, 0, 4], [nGC_1692])

    allocate(vertices(629)%branchR2(0:0))
    call avR2(629, 0, 9, 5, 0, VVVV0, 0, [0, 2, 2], [nGC_1693, nGC_1693,       &
    nGC_1693])

    allocate(vertices(630)%branchR2(0:0))
    call avR2(630, 0, 9, 5, 0, VVVV0, 0, [0, 2, 2], [nGC_1693, nGC_1693,       &
    nGC_1693])

    allocate(vertices(631)%branchR2(0:0))
    call avR2(631, 0, 9, 5, 0, VVVV0, 0, [0, 2, 2], [nGC_1693, nGC_1693,       &
    nGC_1693])

    allocate(vertices(632)%branchR2(0:0))
    call avR2(632, 0, 9, 5, 0, VVVV0, 0, [0, 2, 2], [nGC_1693, nGC_1693,       &
    nGC_1693])

    allocate(vertices(633)%branchR2(0:0))
    call avR2(633, 0, 9, 5, 0, VVVV0, 0, [0, 2, 2], [nGC_1693, nGC_1693,       &
    nGC_1693])

    allocate(vertices(634)%branchR2(0:0))
    call avR2(634, 0, 9, 5, 0, VVVV0, 0, [0, 2, 2], [nGC_1693, nGC_1693,       &
    nGC_1693])

    allocate(vertices(3)%branchR2(0:0))
    call avR2(3, 0, 9, 5, 0, VVVV0, 0, [0, 0, 4], [nGC_1696, nGC_1695, nGC_1694&
    ])

    allocate(vertices(79)%branchR2(0:0))
    call avR2(79, 0, 9, 5, 0, VVVV0, 0, [0, 0, 4], [nGC_1695, nGC_1696,        &
    nGC_1694])

    allocate(vertices(78)%branchR2(0:0))
    call avR2(78, 0, 9, 5, 0, VVVV0, 0, [0, 0, 4], [nGC_1695, nGC_1694,        &
    nGC_1696])

    allocate(vertices(83)%branchR2(0:0))
    call avR2(83, 0, 9, 5, 0, VVVV0, 0, [0, 0, 4], [nGC_1695, nGC_1696,        &
    nGC_1694])

    allocate(vertices(82)%branchR2(0:0))
    call avR2(82, 0, 9, 5, 0, VVVV0, 0, [0, 0, 4], [nGC_1696, nGC_1695,        &
    nGC_1694])

    allocate(vertices(85)%branchR2(0:0))
    call avR2(85, 0, 9, 5, 0, VVVV0, 0, [0, 0, 4], [nGC_1695, nGC_1694,        &
    nGC_1696])

    allocate(vertices(84)%branchR2(0:0))
    call avR2(84, 0, 9, 5, 0, VVVV0, 0, [0, 0, 4], [nGC_1694, nGC_1695,        &
    nGC_1696])

    allocate(vertices(80)%branchR2(0:0))
    call avR2(80, 0, 9, 5, 0, VVVV0, 0, [0, 0, 4], [nGC_1696, nGC_1694,        &
    nGC_1695])

    allocate(vertices(81)%branchR2(0:0))
    call avR2(81, 0, 9, 5, 0, VVVV0, 0, [0, 0, 4], [nGC_1694, nGC_1696,        &
    nGC_1695])

    allocate(vertices(75)%branchR2(0:0))
    call avR2(75, 0, 9, 5, 0, VVVV0, 0, [0, 0, 4], [nGC_1694, nGC_1695,        &
    nGC_1696])

    allocate(vertices(76)%branchR2(0:0))
    call avR2(76, 0, 9, 5, 0, VVVV0, 0, [0, 0, 4], [nGC_1694, nGC_1696,        &
    nGC_1695])

    allocate(vertices(77)%branchR2(0:0))
    call avR2(77, 0, 9, 5, 0, VVVV0, 0, [0, 0, 4], [nGC_1696, nGC_1694,        &
    nGC_1695])

    allocate(vertices(4)%branchR2(0:0))
    call avR2(4, 0, 9, 5, 0, VVVV0, 0, [0, 0, 4], [nGC_1697, nGC_1697, nGC_1698&
    ])

    allocate(vertices(90)%branchR2(0:0))
    call avR2(90, 0, 9, 5, 0, VVVV0, 0, [0, 0, 4], [nGC_1697, nGC_1698,        &
    nGC_1697])

    allocate(vertices(89)%branchR2(0:0))
    call avR2(89, 0, 9, 5, 0, VVVV0, 0, [0, 0, 4], [nGC_1698, nGC_1697,        &
    nGC_1697])

    allocate(vertices(88)%branchR2(0:0))
    call avR2(88, 0, 9, 5, 0, VVVV0, 0, [0, 0, 4], [nGC_1698, nGC_1697,        &
    nGC_1697])

    allocate(vertices(87)%branchR2(0:0))
    call avR2(87, 0, 9, 5, 0, VVVV0, 0, [0, 0, 4], [nGC_1697, nGC_1698,        &
    nGC_1697])

    allocate(vertices(86)%branchR2(0:0))
    call avR2(86, 0, 9, 5, 0, VVVV0, 0, [0, 0, 4], [nGC_1697, nGC_1697,        &
    nGC_1698])

    allocate(vertices(635)%branchR2(0:1))
    call avR2(635, 0, 39, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1699, nGC_1699,      &
    nGC_1699])

    call avR2(635, 1, 40, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1700, nGC_1700,      &
    nGC_1700])

    allocate(vertices(636)%branchR2(0:1))
    call avR2(636, 0, 41, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1699, nGC_1699,      &
    nGC_1699])

    call avR2(636, 1, 42, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1700, nGC_1700,      &
    nGC_1700])

    allocate(vertices(637)%branchR2(0:1))
    call avR2(637, 0, 37, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1699, nGC_1699,      &
    nGC_1699])

    call avR2(637, 1, 38, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1700, nGC_1700,      &
    nGC_1700])

    allocate(vertices(638)%branchR2(0:1))
    call avR2(638, 0, 39, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1699, nGC_1699,      &
    nGC_1699])

    call avR2(638, 1, 40, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1700, nGC_1700,      &
    nGC_1700])

    allocate(vertices(639)%branchR2(0:1))
    call avR2(639, 0, 41, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1699, nGC_1699,      &
    nGC_1699])

    call avR2(639, 1, 42, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1700, nGC_1700,      &
    nGC_1700])

    allocate(vertices(640)%branchR2(0:1))
    call avR2(640, 0, 37, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1699, nGC_1699,      &
    nGC_1699])

    call avR2(640, 1, 38, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1700, nGC_1700,      &
    nGC_1700])

    allocate(vertices(641)%branchR2(0:1))
    call avR2(641, 0, 43, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1699, nGC_1699,      &
    nGC_1699])

    call avR2(641, 1, 44, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1700, nGC_1700,      &
    nGC_1700])

    allocate(vertices(642)%branchR2(0:1))
    call avR2(642, 0, 43, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1699, nGC_1699,      &
    nGC_1699])

    call avR2(642, 1, 44, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1700, nGC_1700,      &
    nGC_1700])

    allocate(vertices(643)%branchR2(0:1))
    call avR2(643, 0, 45, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1699, nGC_1699,      &
    nGC_1699])

    call avR2(643, 1, 46, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1700, nGC_1700,      &
    nGC_1700])

    allocate(vertices(644)%branchR2(0:1))
    call avR2(644, 0, 47, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1699, nGC_1699,      &
    nGC_1699])

    call avR2(644, 1, 48, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1700, nGC_1700,      &
    nGC_1700])

    allocate(vertices(645)%branchR2(0:1))
    call avR2(645, 0, 45, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1699, nGC_1699,      &
    nGC_1699])

    call avR2(645, 1, 46, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1700, nGC_1700,      &
    nGC_1700])

    allocate(vertices(646)%branchR2(0:1))
    call avR2(646, 0, 47, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1699, nGC_1699,      &
    nGC_1699])

    call avR2(646, 1, 48, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1700, nGC_1700,      &
    nGC_1700])

    allocate(vertices(647)%branchR2(0:0))
    call avR2(647, 0, 9, 5, 0, VVVV0, 0, [0, 0, 4], [nGC_1701, nGC_1701,       &
    nGC_1701])

    allocate(vertices(648)%branchR2(0:0))
    call avR2(648, 0, 9, 5, 0, VVVV0, 0, [0, 4, 0], [nGC_1702, nGC_1702,       &
    nGC_1702])

    allocate(vertices(649)%branchR2(0:1))
    call avR2(649, 0, 43, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1703, nGC_1703,      &
    nGC_1703])

    call avR2(649, 1, 44, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1704, nGC_1704,      &
    nGC_1704])

    allocate(vertices(650)%branchR2(0:1))
    call avR2(650, 0, 45, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1703, nGC_1703,      &
    nGC_1703])

    call avR2(650, 1, 46, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1704, nGC_1704,      &
    nGC_1704])

    allocate(vertices(651)%branchR2(0:1))
    call avR2(651, 0, 47, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1703, nGC_1703,      &
    nGC_1703])

    call avR2(651, 1, 48, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1704, nGC_1704,      &
    nGC_1704])

    allocate(vertices(652)%branchR2(0:1))
    call avR2(652, 0, 39, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1703, nGC_1703,      &
    nGC_1703])

    call avR2(652, 1, 40, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1704, nGC_1704,      &
    nGC_1704])

    allocate(vertices(653)%branchR2(0:1))
    call avR2(653, 0, 41, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1703, nGC_1703,      &
    nGC_1703])

    call avR2(653, 1, 42, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1704, nGC_1704,      &
    nGC_1704])

    allocate(vertices(654)%branchR2(0:1))
    call avR2(654, 0, 37, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1703, nGC_1703,      &
    nGC_1703])

    call avR2(654, 1, 38, 5, 0, VVVV0, 0, [2, 0, 2], [nGC_1704, nGC_1704,      &
    nGC_1704])

    allocate(vertices(655)%branchR2(0:1))
    call avR2(655, 0, 43, 5, 0, VVVV0, 0, [2, 2, 0], [nGC_1705, nGC_1705,      &
    nGC_1705])

    call avR2(655, 1, 44, 5, 0, VVVV0, 0, [2, 2, 0], [nGC_1706, nGC_1706,      &
    nGC_1706])

    allocate(vertices(656)%branchR2(0:1))
    call avR2(656, 0, 45, 5, 0, VVVV0, 0, [2, 2, 0], [nGC_1705, nGC_1705,      &
    nGC_1705])

    call avR2(656, 1, 46, 5, 0, VVVV0, 0, [2, 2, 0], [nGC_1706, nGC_1706,      &
    nGC_1706])

    allocate(vertices(657)%branchR2(0:1))
    call avR2(657, 0, 47, 5, 0, VVVV0, 0, [2, 2, 0], [nGC_1705, nGC_1705,      &
    nGC_1705])

    call avR2(657, 1, 48, 5, 0, VVVV0, 0, [2, 2, 0], [nGC_1706, nGC_1706,      &
    nGC_1706])

    allocate(vertices(658)%branchR2(0:1))
    call avR2(658, 0, 39, 5, 0, VVVV0, 0, [2, 2, 0], [nGC_1705, nGC_1705,      &
    nGC_1705])

    call avR2(658, 1, 40, 5, 0, VVVV0, 0, [2, 2, 0], [nGC_1706, nGC_1706,      &
    nGC_1706])

    allocate(vertices(659)%branchR2(0:1))
    call avR2(659, 0, 41, 5, 0, VVVV0, 0, [2, 2, 0], [nGC_1705, nGC_1705,      &
    nGC_1705])

    call avR2(659, 1, 42, 5, 0, VVVV0, 0, [2, 2, 0], [nGC_1706, nGC_1706,      &
    nGC_1706])

    allocate(vertices(660)%branchR2(0:1))
    call avR2(660, 0, 37, 5, 0, VVVV0, 0, [2, 2, 0], [nGC_1705, nGC_1705,      &
    nGC_1705])

    call avR2(660, 1, 38, 5, 0, VVVV0, 0, [2, 2, 0], [nGC_1706, nGC_1706,      &
    nGC_1706])

    allocate(vertices(661)%branchR2(0:5))
    call avR2(661, 0, 55, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1707, nGC_1707,      &
    nGC_1707])

    call avR2(661, 1, 56, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1708, nGC_1708,      &
    nGC_1708])

    call avR2(661, 2, 57, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1708, nGC_1708,      &
    nGC_1708])

    call avR2(661, 3, 58, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1709, nGC_1709,      &
    nGC_1709])

    call avR2(661, 4, 59, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1708, nGC_1708,      &
    nGC_1708])

    call avR2(661, 5, 60, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1707, nGC_1707,      &
    nGC_1707])

    allocate(vertices(662)%branchR2(0:5))
    call avR2(662, 0, 61, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1707, nGC_1707,      &
    nGC_1707])

    call avR2(662, 1, 62, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1708, nGC_1708,      &
    nGC_1708])

    call avR2(662, 2, 63, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1708, nGC_1708,      &
    nGC_1708])

    call avR2(662, 3, 64, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1709, nGC_1709,      &
    nGC_1709])

    call avR2(662, 4, 65, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1708, nGC_1708,      &
    nGC_1708])

    call avR2(662, 5, 66, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1707, nGC_1707,      &
    nGC_1707])

    allocate(vertices(663)%branchR2(0:5))
    call avR2(663, 0, 67, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1707, nGC_1707,      &
    nGC_1707])

    call avR2(663, 1, 68, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1708, nGC_1708,      &
    nGC_1708])

    call avR2(663, 2, 69, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1708, nGC_1708,      &
    nGC_1708])

    call avR2(663, 3, 70, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1709, nGC_1709,      &
    nGC_1709])

    call avR2(663, 4, 71, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1708, nGC_1708,      &
    nGC_1708])

    call avR2(663, 5, 72, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1707, nGC_1707,      &
    nGC_1707])

    allocate(vertices(664)%branchR2(0:5))
    call avR2(664, 0, 49, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1707, nGC_1707,      &
    nGC_1707])

    call avR2(664, 1, 50, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1708, nGC_1708,      &
    nGC_1708])

    call avR2(664, 2, 51, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1708, nGC_1708,      &
    nGC_1708])

    call avR2(664, 3, 52, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1709, nGC_1709,      &
    nGC_1709])

    call avR2(664, 4, 53, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1708, nGC_1708,      &
    nGC_1708])

    call avR2(664, 5, 54, 5, 0, VVVV0, 0, [3, 1, 0], [nGC_1707, nGC_1707,      &
    nGC_1707])

    allocate(vertices(1)%branchR2(0:23))
    call avR2(1, 0, 2, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1711, nGC_1710, nGC_1711&
    ])

    call avR2(1, 1, 3, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1710, nGC_1711, nGC_1711&
    ])

    call avR2(1, 2, 4, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1711, nGC_1710, nGC_1711&
    ])

    call avR2(1, 3, 5, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1710, nGC_1711, nGC_1711&
    ])

    call avR2(1, 4, 6, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1711, nGC_1711, nGC_1710&
    ])

    call avR2(1, 5, 7, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1711, nGC_1711, nGC_1710&
    ])

    call avR2(1, 6, 73, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1712, nGC_1712,        &
    nGC_1712])

    call avR2(1, 7, 74, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1712, nGC_1712,        &
    nGC_1712])

    call avR2(1, 8, 75, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1714, nGC_1713,        &
    nGC_1713])

    call avR2(1, 9, 76, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1712, nGC_1712,        &
    nGC_1712])

    call avR2(1, 10, 77, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1713, nGC_1713,       &
    nGC_1714])

    call avR2(1, 11, 78, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1713, nGC_1714,       &
    nGC_1713])

    call avR2(1, 12, 79, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1712, nGC_1712,       &
    nGC_1712])

    call avR2(1, 13, 80, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1712, nGC_1712,       &
    nGC_1712])

    call avR2(1, 14, 81, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1712, nGC_1712,       &
    nGC_1712])

    call avR2(1, 15, 82, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1712, nGC_1712,       &
    nGC_1712])

    call avR2(1, 16, 83, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1712, nGC_1712,       &
    nGC_1712])

    call avR2(1, 17, 84, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1715, nGC_1715,       &
    nGC_1715])

    call avR2(1, 18, 85, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1715, nGC_1715,       &
    nGC_1715])

    call avR2(1, 19, 86, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1715, nGC_1715,       &
    nGC_1715])

    call avR2(1, 20, 87, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1716, nGC_1716,       &
    nGC_1716])

    call avR2(1, 21, 88, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1715, nGC_1715,       &
    nGC_1715])

    call avR2(1, 22, 89, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1715, nGC_1715,       &
    nGC_1715])

    call avR2(1, 23, 90, 5, 0, VVVV0, 0, [4, 0, 0], [nGC_1715, nGC_1715,       &
    nGC_1715])

  end subroutine fill_vertices_mdl3
end module vertices_info3
